﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FitnessDiary.Domain.Entities
{
	public class Quantity
	{
		public int Id { get; set; }
		[Required]
		public string Name { get; set; }

		public virtual Stat Stat { get; set; }
		public virtual Unit Unit { get; set; }

		public List<HitComponent> HitComponents { get; set; }

		public static int MaxQuantities { get { return 5; } }
	}
}