﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using FitnessDiary.Domain.Entities;

namespace FitnessDiary.WebUI.Models
{
	public class DiaryModel
	{
		public Calendar Calendar { get; set; }
		public int Week { get; set; }
		public DateTime FirstDay { get; set; }
		public DateTime Today { get; set; }
	}

	public class Calendar
	{
		public List<Week> Weeks { get; set; }
	}

	public class Week
	{
		public List<Day> Days { get; set; }
		public int WeekNumber { get; set; }
	}

	public class Day
	{
		public List<Hit> Hits { get; set; }
		public DateTime Date { get; set; }
	}
}