﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FitnessDiary.Domain.Entities
{
	public class HitComponent
	{
		public int Id { get; set; }
		[Range(0.0, 1000000000.0)]
		public float Amount { get; set; }

		public virtual Hit Hit { get; set; }
		public virtual Quantity Quantity { get; set; }
	}
}